### Hierarchy

- unknown
  - MarketPricesRequest

## Index

### Constructors

- constructor

### Methods

- serializeBinary
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new MarketPricesRequest(): MarketPricesRequest

- Inherited from jspb.Message.constructor

  #### Returns MarketPricesRequest

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2076

  #### Returns Uint8Array

### toObject

- toObject(includeInstance?: boolean): MarketPricesRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2077

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns MarketPricesRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): MarketPricesRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2080

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MarketPricesRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MarketPricesRequest, reader: BinaryReader): MarketPricesRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2081

  #### Parameters

  - ##### message: MarketPricesRequest

  - ##### reader: BinaryReader

  #### Returns MarketPricesRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: MarketPricesRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2079

  #### Parameters

  - ##### message: MarketPricesRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: MarketPricesRequest ): MarketPricesRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2078

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MarketPricesRequest

  #### Returns MarketPricesRequest . AsObject

Generated using TypeDoc